Bug 904668 - GRUB2 EFI, choosing OS X entries causes xnu kernel panic
Summary: GRUB2 EFI, choosing OS X entries causes xnu kernel panic
Status: CLOSED DUPLICATE of bug 893179
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-26 23:32 UTC by Chris Murphy
Modified: 2015-06-24 15:51 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-24 15:51:39 UTC


Attachments (Terms of Use)
grub.cfg (8.04 KB, text/plain)
2013-01-26 23:33 UTC, Chris Murphy
no flags Details
photo of kernel panic (165.64 KB, image/jpeg)
2013-01-26 23:34 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2013-01-26 23:32:29 UTC
Description of problem:
With an upstream approved re-install using grub2-install, and grub2-mkconfig, the resulting OS X entries on a dual-boot Mac, cause a kernel panic.

Version-Release number of selected component (if applicable):
Fedora 18 final
grub2-efi-2.00-13.fc18.x86-64

How reproducible:
Always

Steps to Reproduce:
1. Existing OS X installation with enough unallocated space for Fedora.
2. Install Fedora 18, reboot
3. umount /boot/efi
4. mount /dev/sda1 /boot/efi to replace the mactelboot JHFS+ ESP, with the real ESP (grub2-install fails to install grubx64.efi to a JHFS+ volume).
5. grub2-install
6. confirm /boot/efi/EFI/fedora/grubx64.efi is present.
7. confirm /boot/grub2/x86_64-efi is now populated with GRUB modules.
8. grub2-mkconfig -o /boot/grub2/grub.cfg
9. Reboot.
10. Choose either 32-bit or 64-bit OS X options.
 
Actual results:
XNU kernel panics

Expected results:
I expect OS X to boot.

Additional info:
MacBookPro 4,1 2008
Darwin Kernel Version 12.2.0: Sat Aug 25 00:48:52 PDT 2012; root:xnu-2050.18.24~1/RELEASE_X86_64 x86_64

Comment 1 Chris Murphy 2013-01-26 23:33:25 UTC
Created attachment 688187 [details]
grub.cfg

Comment 2 Chris Murphy 2013-01-26 23:34:02 UTC
Created attachment 688188 [details]
photo of kernel panic

Comment 3 Fedora End Of Life 2013-04-03 17:04:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 4 spital 2015-06-23 18:50:12 UTC
http://forums.fedoraforum.org/archive/index.php/t-288002.html
bottom 
worked


Well at the moment GRUB upstream doesn't care about this problem enough to fix it. You could edit /etc/default/grub and add GRUB_DISABLE_OS_PROBER=true, then edit /etc/grub.d/40_custom to add an entry for OS X that includes:

set root=(hd1,gpt3) 
chainloader (hd1,gpt3)/System/Library/CoreServices/boot.efi 

And then run grub2-mkconfig to update the grub.cfg with these changes.

Comment 5 Brian Lane 2015-06-24 15:51:39 UTC

*** This bug has been marked as a duplicate of bug 893179 ***


Note You need to log in before you can comment on or make changes to this bug.